{% set page = 'areas' %}
{% set cardHasHeader = true %}
{% set hasSidebar = true %}

{% extends "../layout/seats.njk" %}

{% block cardHeader %}
    <div class="card-header-title">
        <form method="GET" action="{{ url('manage/areas') }}" style="width: 100%;">
            <div class="field has-addons">
                <p class="control">
                    <a class="button is-static">
                        Search by area name
                    </a>
                </p>
                <div class="control is-expanded">
                    <input class="input" name="name" type="text" placeholder="Find an area" value="{{ name or '' }}">
                </div>
                <div class="control">
                    <button type="submit" class="button is-info">
                        <span class="icon is-small">
                            <i class="fas fa-search"></i>
                        </span>
                        <span>Search</span>
                    </button>
                </div>
                <div class="control">
                    <a class="button is-danger" href="{{ url('manage/areas') }}">
                        <span class="icon is-small">
                            <i class="fas fa-trash-alt"></i>
                        </span>
                        <span>Reset</span>
                    </a>
                </div>
            </div>
        </form>
    </div>
{% endblock %}

{% block cardContent %}
    {% if error %}
        <p class="has-text-danger">{{ error }}</p>
        <hr>
    {% endif %}

    {% if models.length > 0 %}
        <table class="table is-striped is-hoverable is-fullwidth">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Location</th>
                    <th>Seats</th>
                    <th width="1%"></th>
                </tr>
            </thead>
            <tbody>
                {% for area in models %}
                    <tr>
                        <td><a href="{{ url('manage/areas/' + area._id) }}">{{ area.name }}</a></td>
                        <td>{{ area.location.name or 'Not specified' }}</td>
                        <td>{{ area.seats.length }}</td>
                        <td>
                            <a class="button is-danger" href="#">
                                <span class="icon is-small">
                                    <i class="fas fa-trash-alt"></i>
                                </span>
                            </a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% else %}
        <p class="has-text-centered has-text-danger">
            No areas found... Why not create one?
        </p>
    {% endif %}
    <hr>

    <div class="columns">
        <div class="column">
            <div class="buttons has-addons is-centered">
                {% if pageNum > 1 %}
                    <a class="button is-info is-light" href="{{ url('manage/areas', { page: pageNum - 1 } ) }}">
                        <span>&lt;</span>
                    </a>
                {% endif %}
                <button class="button is-info">
                    <span>Page <b>{{ pageNum }}</b> / <b>{{ pages }}</b></span>
                </button>
                {% if pageNum < pages %}
                    <a class="button is-info is-light" href="{{ url('manage/areas', { page: pageNum + 1 } ) }}">
                        <span>&gt;</span>
                    </a>
                {% endif %}
            </div>
        </div>

        <div class="column">
            <a href="{{ url('manage/create/area') }}" class="button is-success">
                <span class="icon is-small">
                    <i class="fas fa-plus"></i>
                </span>
                <span>Create Area</span>
            </a>
        </div>
    </div> {# end .columns #}
{% endblock %}
